Package org.eclipse.emf.cdo.compare

## Class CDOCompare.CDOMatchEngine

- java.lang.Object
- - org.eclipse.emf.compare.match.DefaultMatchEngine
  - - org.eclipse.emf.cdo.compare.CDOCompare.CDOMatchEngine

- All Implemented Interfaces:
    `org.eclipse.emf.compare.match.IMatchEngine`
  Enclosing class:
    CDOCompare

      public static class CDOCompare.CDOMatchEngine
      extends org.eclipse.emf.compare.match.DefaultMatchEngine

  A `match engine` that treats `resources` as `EObjects`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOCompare.CDOMatchEngine.Factory` | Creates `match engine` instances.

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.compare.match.DefaultMatchEngine

      `DEFAULT_EOBJECT_URI_CACHE_MAX_SIZE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `match​(org.eclipse.emf.compare.Comparison comparison, org.eclipse.emf.compare.scope.IComparisonScope scope, org.eclipse.emf.common.notify.Notifier left, org.eclipse.emf.common.notify.Notifier right, org.eclipse.emf.common.notify.Notifier origin, org.eclipse.emf.common.util.Monitor monitor)` |

    - ### Methods inherited from class org.eclipse.emf.compare.match.DefaultMatchEngine

      `create, create, create, create, createDefaultEObjectMatcher, createDefaultEObjectMatcher, createDefaultEObjectMatcher, createResourceMatcher, getEObjectMatcher, getResourceMatcher, match, match, match, match`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### match

          protected void match​(org.eclipse.emf.compare.Comparison comparison,
                               org.eclipse.emf.compare.scope.IComparisonScope scope,
                               org.eclipse.emf.common.notify.Notifier left,
                               org.eclipse.emf.common.notify.Notifier right,
                               org.eclipse.emf.common.notify.Notifier origin,
                               org.eclipse.emf.common.util.Monitor monitor)

      Overrides:
        `match` in class `org.eclipse.emf.compare.match.DefaultMatchEngine`